### Function

# Pango scan_word

#### Declaration [src]

    gboolean
    pango_scan_word (
      const char** pos,
      GString* out
    )

#### Description [src]

Scans a word into a `GString` buffer.

A word consists of [A-Za-z_] followed by zero or more [A-Za-z_0-9]. Leading white space is skipped.

#### Parameters

`pos` | `const char**`
| In/out string position.
| The argument will be modified by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`out` | `GString*`
| A `GString` into which to write the result.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `FALSE` if a parse error occurred.